# rivals-top8-results
A small package built using `pillow`, useful in quickly creating top 8 results views for Rivals of Aether tournaments.

Also comes with a **very** experimental GUI built with qt-designer, which has got an also experimental support for Challonge brackets.

![](https://i.imgur.com/kw97QG7.png)

![](https://i.imgur.com/SbhPDPC.png)

## Usage
You can just grab the release here and run the executable. 
Alternatively, using this is as simple as importing this library and calling the `draw_top8` and `draw_results` functions and filling the parameters in.

```
top8 = draw_top8(
  nicknames,
  characters,
  skins,
  secondaries,
  tertiaries,
  layout_rgb=tuple(bracket["settings"]["rgb"]),
  bg_opacity=bracket["settings"]["bg_opacity"],
  resize_factor=1.3,
  save=False,
)
```

and

```
draw_results(
  top8,
  stage=bracket["meta"]["background"],
  title=bracket["meta"]["title"],
  attendees_num=bracket["meta"]["participants"],
  date=bracket["meta"]["date"],
  layout_rgb=tuple(bracket["settings"]["rgb"]),
  stage_variant=bracket["meta"]["background_variant"],
  logo=logo,
  logo_offset=(-100, -12),
)
```

## Todos
- Add support for layouts
- Add support for Smash.gg brackets
- Add (proper) support for mains and aliases

## Credits
- Graphics by [@Kiirochii](https://twitter.com/kiirochii)
- Resource folder filled using [@Readeku](https://twitter.com/Readeku/)'s wonderful tool's assets.
